Bug 1462252 - pyramid-tm < 1.1.0 is not compatible with transaction >= 2.0.0
pyramid-tm < 1.1.0 is not compatible with transaction >= 2.0.0
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-pyramid-tm (Show other bugs)
26
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 09:56 EDT by Randy Barlow
Modified: 2018-05-29 08:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-pyramid-tm-1.1.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:14:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github Pylons/pyramid_tm/issues/49 None None None 2017-06-16 10:42 EDT

  None (edit)
Description Randy Barlow 2017-06-16 09:56:15 EDT
Fedora 26 ships pyramid-tm-0.12 and transaction-2.0.3. According to the pyramid-tm release notes[0], these versions are not compatible. Indeed, Bodhi's unit tests fail on Fedora 26 due to this[1].

Thus, we need to update Fedora 26 to at least 1.1.1. pyramid-tm-2.0 claims to be backwards incompatible, but it also has a note about "Support for Python 3.6." I don't know if that means you *need* 2.0 if you want to use it with Python 3.6 (which is the version Fedora 26 has), or if that just means it takes advantage of some new Python 3.6 features.


[0] https://pypi.python.org/pypi/pyramid_tm
[1] https://github.com/fedora-infra/bodhi/issues/1615
Comment 1 Randy Barlow 2017-06-16 10:42:19 EDT
There is an upstream issue about this as well.
Comment 2 Randy Barlow 2017-06-16 11:13:04 EDT
I learned in #pyramid on Freenode that "Support for Python 3.6" just meant that they started testing against 3.6 with 2.0. It is believed that 1.1.1 would work with 3.6 too, it just hasn't been tested by upstream.

Since 2.0 is documented as backwards-incompatible I think we should update Fedora 26 to 1.1.1 and Rawhide to 2.1.
Comment 3 Fedora Update System 2017-06-16 13:58:23 EDT
python-pyramid-tm-1.1.1-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-051fec84db
Comment 4 Fedora Update System 2017-06-18 02:20:55 EDT
python-pyramid-tm-1.1.1-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-051fec84db
Comment 5 Fedora Update System 2017-06-22 09:35:38 EDT
python-pyramid-tm-1.1.1-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora End Of Life 2018-05-03 04:32:42 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2018-05-29 08:14:56 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.